<?php
	/*
	 * Created on 20.10.2009 by Nico Schubert
	 * Terminverwaltung Version 1.3
	 * Copyright by Php-Space.info
	 * Web: www.php-space.info
	 * Support Forum: http://ww.php-space.info/forum/
	 * Email: info@schubertmedia.de
	 */
	session_start();
	if(function_exists('date_default_timezone_set')===true){
		$timezone = 'Europe/Berlin';
		date_default_timezone_set($timezone);
	}
	if(empty($_SESSION["sessionid"])){
		header("location:index.php");
		exit;
	}
	session_id($_SESSION["sessionid"]);
	//---------------------
	include_once('error_log.php');
	include_once('inc/config.php');
	include_once('function.php');
	include_once('classes/dbcache_class.php');
	//---------------------
	$dbh = new DBI($datenbank_host, $datenbank_name,$datenbank_user, $datenbank_password, $cachedir);
	//---------------------
	if(!isset($_GET["datum"]))$_GET["datum"]=date('Y-m-d');
	if(!isset($_POST["senden"]))$_POST["senden"]=''; else $_POST["senden"]=sprintf("%d", $_POST["senden"]);
	if(!isset($_POST["titel"]))$_POST["titel"]='';
	if(!isset($_POST["text"]))$_POST["text"]='';
	if(!isset($_POST["datum"]))$_POST["datum"]='';
	if(!isset($_POST["empfaenger"]))$_POST["empfaenger"]='';
	if(!isset($_POST["email_benachrichten_an_mich"])) $_POST["email_benachrichten_an_mich"]='1'; else $_POST["email_benachrichten_an_mich"]=sprintf("%d", $_POST["email_benachrichten_an_mich"]);
	if(!isset($_POST["zeit"]))$_POST["zeit"]=date("H:i");
	if(!isset($_POST["email_benachrichten"])) $_POST["email_benachrichten"]='1'; else $_POST["email_benachrichten"]=sprintf("%d", $_POST["email_benachrichten"]);
	$termin_id=0;
	if(!isset($_POST["email_tpl"])) $_POST["email_tpl"]='0'; else $_POST["email_tpl"]=sprintf("%d", $_POST["email_tpl"]);
	//---------------------
	if($_POST["senden"]==1 AND $_POST["titel"]!='' AND $_POST["text"]!=''  AND $_POST["datum"]!=''){
		$sql_insert="INSERT INTO `".$datenbank_praefix."termin` (`datum`,`titel`,`nachricht`, `user_id`,`email_benachrichten`,`tpl_email_id`) VALUES('".mysql_escape_string($_POST["datum"].' '.$_POST["zeit"])."', '".mysql_escape_string($_POST["titel"])."', '".mysql_escape_string($_POST["text"])."', '".mysql_escape_string($_SESSION["user_id"])."','".mysql_escape_string($_POST["email_benachrichten"])."', ".mysql_escape_string($_POST["email_tpl"]).");";
		$sth = $dbh->prepare($sql_insert);
	    $sth->execute();
		$termin_id=$sth->insert_id();
		if($_POST["email_benachrichten"]==1){
			/**
			 * Email senden
			 */
			if($_POST["email_benachrichten_an_mich"]==1  AND $termin_id!='0'){
				/**
				 * Email an User senden
				 */

				/**
				 * Email Adresse des User auslesen
				 */
				$sql_select="SELECT email FROM `".$datenbank_praefix."user` WHERE `id` = '".$_SESSION["user_id"]."' LIMIT 1;";
                $sth = $dbh->prepare($sql_select, '-1');
                $sth->execute();
                $daten = $sth->fetchrow_hash();
                $sth->finish();


				$sql_insert="INSERT INTO `".$datenbank_praefix."termin_emails` (`termin_id`,`email_adresse`) VALUES('".$termin_id."', '".trim($daten['email'])."');";
      		 	$sth = $dbh->prepare($sql_insert);
				$sth->execute();

			} elseif($_POST["email_benachrichten_an_mich"]==2 AND $_POST["empfaenger"]!='' AND $termin_id!='0'){
				/**
				 * Email an mehere Empfnger versenden.
				 */
				 $email_adressen=explode(";",$_POST["empfaenger"]);
				 if(is_array($email_adressen)==true){
					 foreach ($email_adressen as $key => $value) {
					 	if (preg_match('/^[a-z0-9]+([\._a-z0-9-]+)*@([a-z0-9]+([a-z0-9\.-]+)*\.)+([a-z]{2,4}|museum)$/i',$value)!=false){
	              		 	$sql_insert="INSERT INTO `".$datenbank_praefix."termin_emails` (`termin_id`,`email_adresse`) VALUES('".$termin_id."', '".trim($value)."');";
	              		 	$sth = $dbh->prepare($sql_insert);
							$sth->execute();
	              		}
	                 }
				 }
			}
		}
		header('Location:index.php?'.SID.'&datum='.$_POST["datum"].'&reloade_cache=1');

	}
	//---------------------
	$ausgabe  ='';
    $ausgabe .='<html>';
    $ausgabe .='<head>';
    $ausgabe .='<title>Terminverwaltung</title>';
    $ausgabe .='<script language="JavaScript" type="text/JavaScript">'."\n";
	$ausgabe.= '    <!--'."\n";
	$ausgabe.= '    function benachrichtigung_an_mich(wert){'."\n";
	$ausgabe.= '    	if(wert=="1" ){'."\n";
	$ausgabe.= '    		document.getElementById("versteckt_email_benachrichten_an_mich").style.display = "";'."\n";
	$ausgabe.= '    		document.getElementById("versteckt_email_tpl").style.display = "";'."\n";


	$ausgabe.= '    	} else {'."\n";
	$ausgabe.= '    		document.getElementById("versteckt_email_benachrichten_an_mich").style.display = "none";'."\n";
	$ausgabe.= '    		document.getElementById("versteckt_email_tpl").style.display = "none";'."\n";
	$ausgabe.= '			empfaenger_open("2");'."\n";
	$ausgabe.= '			document.form.email_benachrichten_an_mich[0].checked = true;'."\n";
	$ausgabe.= '			document.form.email_benachrichten_an_mich[1].checked = false;'."\n";
	$ausgabe.= '			document.getElementById("empfaenger_feld").value ="";'."\n";
	$ausgabe.= '    	}'."\n";
	$ausgabe.= '    }'."\n";
	$ausgabe.= '    function empfaenger_open(wert){'."\n";
	$ausgabe.= '    	if(wert=="1" ){'."\n";
	$ausgabe.= '    		document.getElementById("versteckt_empfaenger").style.display = "";'."\n";
	$ausgabe.= '    	} else {'."\n";
	$ausgabe.= '    		document.getElementById("versteckt_empfaenger").style.display = "none";'."\n";
	$ausgabe.= '    	}'."\n";
	$ausgabe.= '    }'."\n";
	$ausgabe.= '    -->'."\n";
	$ausgabe .='</script>';
	$ausgabe .='<link rel="stylesheet" type="text/css" href="style.css">';
    $ausgabe .='</head>';
    $ausgabe .='<body>';
    include_once('navigation.php');
	if(check_date_mysql($_GET["datum"])==true){
		$ausgabe.= '<form action="termin_eintragen.php?'.SID.'" method="post" name="form">';
		$ausgabe.= '<input type="hidden" name="datum" value="'.$_GET["datum"].'">';
		$ausgabe.= '<input type="hidden" name="senden" value="1">';
		$ausgabe.= "<div style=\"background-color:#fff; border: #000000 1px solid; padding:0px;width:500px\">\n";
		/**
		 * Ausgabe Datum
		 */
		$ausgabe.= "  	<div style=\"width:100%;\">\n";
		$ausgabe.= "		<div style=\"background-color:#ccc; padding:5px\"><b>Termin Eintragen</b></div>";
		$ausgabe.= "		<div style=\"float:left; text-align:justify; width:40%;padding:5px\"><b>Datum</b></div>\n";
		$ausgabe.= "		<div style=\"float:none;padding:5px\">".date_mysql2german($_GET["datum"])." (<a href=\"index.php?".SID."\">ndern</a>)</div>\n";
		$ausgabe.= "    </div>\n";
		/**
		 * Ausgabe Zeit
		 */
		$datum_heute=date( 'Y-m-d 00:00:01');
		$timestamp=strtotime( $datum_heute );

		$select_zeit ='<select name="zeit">';
		for ($index = 1; $index < 288; $index++) {
			$timestamp=($timestamp+60*5);
			$select_zeit.='  <option value="'.date("H:i",$timestamp).'" '.(( $timestamp>(time()+60*5))? '':'selected').'>'.date("H:i",$timestamp).'</option>';

		}
		$select_zeit.='</select>';
		$ausgabe.= "  	<div style=\"width:100%;\">\n";
		$ausgabe.= "		<div style=\"float:left; text-align:justify; width:40%;padding:5px	\"><b>Uhrzeit</b></div>\n";
		$ausgabe.= "		<div style=\"float:none;padding:5px\">".$select_zeit."</div>\n";
		$ausgabe.= "    </div>\n";
		/**
		 * Benachrichtigen per Email?
		 */
		$ausgabe.= "  	<div style=\"width:100%;\">\n";
		$ausgabe.= "		<div style=\"float:left; text-align:justify; width:40%;padding:5px\"><b>Benachrichtigen per Email?</b></div>\n";
		$ausgabe.= "		<div style=\"float:none;padding:5px\"><input type=\"radio\" name=\"email_benachrichten\" value=\"1\" onClick=\"benachrichtigung_an_mich('1');\"> ja <input type=\"radio\" name=\"email_benachrichten\" value=\"2\" onClick=\"benachrichtigung_an_mich('2');\" checked> nein</div>\n";
		$ausgabe.= "    </div>\n";
		/**
		 * Eamil TPL Ausgabe
		 */
		$ausgabe.= "  	<div style=\"width:100%;display:none;\" id=\"versteckt_email_tpl\">\n";
		$ausgabe.= "		<div style=\"float:left; text-align:justify; width:40%;padding:5px\"><b>Email-Vorlage verwenden?</b></div>\n";
		$ausgabe.= "		<div style=\"float:none;padding:5px\"><select size=\"1\" name=\"email_tpl\" id=\"email_tpl\" style=\"width:98%;\">".select_email_tpl("",$_SESSION["user_id"],$dbh, $datenbank_praefix)."</select></div></div>\n";

		/**
		 * Benachrichtigung an mich?
		 */
		$ausgabe.= "  	<div style=\"width:100%;display:none;\" id=\"versteckt_email_benachrichten_an_mich\">\n";
		$ausgabe.= "		<div style=\"float:left; text-align:justify; width:40%;padding:5px\"><b>Benachrichtigung an mich?</b></div>\n";
		$ausgabe.= "		<div style=\"float:none;padding:5px\"><input type=\"radio\" name=\"email_benachrichten_an_mich\" id=\"email_benachrichten_an_mich\" value=\"1\" onClick=\"empfaenger_open('2');\" checked> ja <input type=\"radio\" id=\"email_benachrichten_an_mich\" name=\"email_benachrichten_an_mich\" value=\"2\" onClick=\"empfaenger_open('1');\"> nein</div></div>\n";
		/**
		 * Ausgabe Empfnger
		 */
		$ausgabe.= "	<div id=\"versteckt_empfaenger\" style=\"display:none\">";
		$ausgabe.= "		<div style=\"width:100%;padding:5px\"><b>Empfnger</b> (mit ; getrennt bei mehreren Empfngern)</div>\n";
		$ausgabe.= "	  	<div style=\"width:100%;padding:5px\"><input type=\"text\" name=\"empfaenger\" id=\"empfaenger_feld\" size=\"35\" style=\"width:98%\"></div>\n";
		$ausgabe.= "    </div>\n";
		/**
		 * Ausgabe berschrift
		 */
		$ausgabe.= "	<div style=\"width:100%;padding:5px\"><b>berschrift</b></div>\n";
		$ausgabe.= "  	<div style=\"width:100%;padding:5px\"><input type=\"text\" name=\"titel\" size=\"35\" style=\"width:98%\"></div>\n";
		/**
		 * Ausgabe Text
		 */
		$ausgabe.= "	<div style=\"width:100%;padding:5px\"><b>Text</b></div>\n";
		$ausgabe.= "  	<div style=\"width:100%;padding:5px\"><textarea name=\"text\" style=\"width:98%\" rows=\"5\"></textarea></div>\n";
		$ausgabe.= "</div>\n";
		$ausgabe.= '<p></p>';
		$ausgabe.= '<input type="submit" value="Speichern">';
		$ausgabe.= '</form>';
	} else {
		$ausgabe.='Das Datum was bergeben wurde, ist nicht im richtigen Format!';
	}
	eval(base64_decode("JGF1c2dhYmUgLj0iPHA+Q29weXJpZ2h0IGJ5IDxhIGhyZWY9XCJodHRwOi8vd3d3LnBocC1zcGFjZS5pbmZvL1wiPlBocC1TcGFjZS5pbmZvPC9hPjwvcD4iOw=="));
	//---------------------
	$ausgabe.= "</body>\n";
	$ausgabe.= "</html>\n";
	echo $ausgabe;
	exit;
?>
