<?php
	/*
	 * Created on 20.10.2009 by Nico Schubert
	 * Terminverwaltung Version 1.3
	 * Copyright by Php-Space.info
	 * Web: www.php-space.info
	 * Support Forum: http://ww.php-space.info/forum/
	 * Email: info@schubertmedia.de
	 */
	if (eregi("function.php",$_SERVER["PHP_SELF"])) {
	    header('Location: ./index.php');
	    die();
	}
	if(function_exists("date_mysql2german")==false){
	    function date_mysql2german($datum='0000-00-00') {
			if($datum=="" OR $datum==NULL) $datum='0000-00-00';
	        list($jahr, $monat, $tag) = explode("-", $datum);
	        return sprintf("%02d.%02d.%04d", $tag, $monat, $jahr);
	    }
	}
    if(function_exists("date_german2mysql")==false){
	    function date_german2mysql($datum='00.00.0000') {
	        list($tag, $monat, $jahr) = explode(".", $datum);
	        return sprintf("%04d-%02d-%02d", $jahr, $monat, $tag);
	    }
    }
    if(function_exists("date_mysql2format")==false){
	    function date_mysql2format($datum='') {
	        list($jahr, $monat, $tag) = explode("-", $datum);
	        return sprintf("%04d-%02d-%02d", $jahr, $monat, $tag);
	    }
    }
    if(function_exists("date_His_mysql2german")==false){
	    function date_His_mysql2german($datum) {
	        list($datum, $his) = explode(" ", $datum);
	        list($h, $s, $i) = explode(":", $his);
	        list($jahr, $monat, $tag) = explode("-", $datum);
	        return sprintf("%02d.%02d.%04d %02d:%02d:%02d", $tag, $monat, $jahr, $h,  $s ,$i);
	    }
    }
    if(function_exists("timestamp_mysql2german")==false){
	    function timestamp_mysql2german($t) {
			return date("d.m.Y", $t);
	    }
    }
    if(function_exists("check_date_mysql")==false){
	    function check_date_mysql($datum){
	    	$datum = explode('-',$datum);
			if(checkdate($datum['1'],$datum['2'], $datum['0']) && $datum['2']<10000){
				return true;
			}else{
			   	return false;
			}
	    }
    }
    if(function_exists("date_mysql2timestamp")==false){
		function date_mysql2timestamp($datum) {
	        list($jahr, $monat, $tag) = explode("-", $datum);
	        $jahr = sprintf("%04d", $jahr);
			$monat = sprintf("%02d", $monat);
	        $tag = sprintf("%02d", $tag);
			return(mktime(0, 0, 0, $monat, $tag, $jahr));
	    }
    }
	if(function_exists("limitch")==false){
		function limitch($value,$lenght){
			if (strlen($value) >= $lenght ){
				 $limited = "";
				 $limited .= substr($value,0,$lenght);
				 $limited .= ".";
				 return $limited;
			} else {
					return $value;
			}
		}
	}
	if(function_exists("log_message")==false){
		function log_message( $msg, $strip = true, $file='log_message.txt' ) {
	                 if (  $msg ) {
	                         if( $strip ) {
	                                $msg = html_entity_decode( $msg );
	                         }
							 if(is_array($msg)){
							 	$msg_new='';
								foreach ($msg as $key => $value) {
									$msg_new.=$key."=>".$value."\n";
								}
								$msg=$msg_new;
							 }
	                         if( strpos( $msg, '?xml' ) === false ) $msg =
	preg_replace( "/\n|\r|\t/", " ", $msg );
	                         $now = date("d/m/Y H:i:s");
	                         $logfile = $file;
	                         $ip=$_SERVER['REMOTE_ADDR'];
							 $fp = @fopen( ''.$logfile, "a" );
							 if ($fp) {
	                                 fputs( $fp, "[$now - $ip] $msg\n" );
	                                 fclose( $fp );
	                         }
	                 }
         }
	}
    if(function_exists("userid_to_name")==false){
		function userid_to_name($user_id=0, $dbh, $datenbank_praefix){
				$sql_select="SELECT name FROM `".$datenbank_praefix."user` WHERE `id` =  '".$user_id."' LIMIT 1;";
	        	$sth = $dbh->prepare($sql_select, '60');
				$sth->execute();
				$daten=$sth->fetchrow_array();
				return($daten["name"]);
		}
    }
	if(function_exists("userid_to_nameemail_link")==false){
		function userid_to_nameemail_link($user_id=0, $dbh, $datenbank_praefix){
				$sql_select="SELECT name, email FROM `".$datenbank_praefix."user` WHERE `id` =  '".$user_id."' LIMIT 1;";
	        	$sth = $dbh->prepare($sql_select, '60');
				$sth->execute();
				$daten=$sth->fetchrow_array();
				return("<a href=\"mailto:".$daten["email"]."\">".$daten["name"]."</a>");
		}
	}
	if(function_exists("select_email_tpl")==false){
		function select_email_tpl($id='0',$user_id='0', $dbh, $datenbank_praefix){
			$form="<option value=\"0\" ".(($id==0)?"selected":"").">Nein</option>";
			$sql_select="SELECT id, betreff  FROM `".$datenbank_praefix."tpl_emails` WHERE `user_id` = '".$user_id."';";
	        $sth = $dbh->prepare($sql_select, 60);
	        $sth->execute();
	        while($daten = $sth->fetchrow_hash()){
	        	if($daten['id'] == $id){
					$form .= '<option value="'.$daten['id'].'" selected="selected">'.limitch($daten['betreff'],40).'</option>'."\n";
				} else{
					$form .= '<option value="'.$daten['id'].'">'.limitch($daten['betreff'],40).'</option>'."\n";
				}
	        }
	        $sth->finish();
			return($form);
		}
	}
?>